Package org.drinkless.tdlib

# Class TdApi.EmailAddressAuthenticationCodeInfo

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.EmailAddressAuthenticationCodeInfo

Enclosing class:
  `TdApi`

public static class TdApi.EmailAddressAuthenticationCodeInfo extends TdApi.Object
Information about the email address authentication code that was sent.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `String`
  `emailAddressPattern`
  Pattern of the email address to which an authentication code was sent.
  `int`
  `length`
  Length of the code; 0 if unknown.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `EmailAddressAuthenticationCodeInfo()`
  Information about the email address authentication code that was sent.
  `EmailAddressAuthenticationCodeInfo(String emailAddressPattern, int length)`
  Information about the email address authentication code that was sent.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### emailAddressPattern

    public String emailAddressPattern
    Pattern of the email address to which an authentication code was sent.

  - ### length

    public int length
    Length of the code; 0 if unknown.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### EmailAddressAuthenticationCodeInfo

    public EmailAddressAuthenticationCodeInfo()
    Information about the email address authentication code that was sent.

  - ### EmailAddressAuthenticationCodeInfo

    public EmailAddressAuthenticationCodeInfo(String emailAddressPattern, int length)
    Information about the email address authentication code that was sent.
    Parameters:
      `emailAddressPattern` - Pattern of the email address to which an authentication code was sent.
      `length` - Length of the code; 0 if unknown.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR